import { z } from "zod";
export * from "./initialize.js";
export * from "./request_dimensions.js";
export * from "./update_context.js";
export declare const UIExtensionHostEventSchema: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_HOST::INITIALIZE">;
    data: z.ZodObject<{
        context: z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodDefault<z.ZodNullable<z.ZodString>>;
                providerToken: z.ZodDefault<z.ZodNullable<z.ZodString>>;
                providerTokens: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    externalId: z.ZodString;
                    token: z.ZodString;
                    connectionId: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }, {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }>, "many">>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            }, {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            }>;
            user: z.ZodDefault<z.ZodObject<{
                id: z.ZodDefault<z.ZodNullable<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                id: string | null;
            }, {
                id?: string | null | undefined;
            }>>;
            configurationId: z.ZodDefault<z.ZodNullable<z.ZodString>>;
            dataLayerId: z.ZodDefault<z.ZodNullable<z.ZodString>>;
            projectId: z.ZodDefault<z.ZodNullable<z.ZodString>>;
            siteId: z.ZodDefault<z.ZodNullable<z.ZodString>>;
            teamId: z.ZodDefault<z.ZodNullable<z.ZodString>>;
            theme: z.ZodEnum<["light", "dark"]>;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            };
            user: {
                id: string | null;
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        }, {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            };
            theme: "light" | "dark";
            user?: {
                id?: string | null | undefined;
            } | undefined;
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
            projectId?: string | null | undefined;
            siteId?: string | null | undefined;
            teamId?: string | null | undefined;
        }>;
        extension: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            slug: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            slug: string;
        }, {
            id: string;
            name: string;
            slug: string;
        }>;
        surface: z.ZodObject<{
            name: z.ZodNativeEnum<typeof import("../../surfaces.js").Surfaces>;
        }, "strip", z.ZodTypeAny, {
            name: import("../../surfaces.js").Surfaces;
        }, {
            name: import("../../surfaces.js").Surfaces;
        }>;
    }, "strip", z.ZodTypeAny, {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            };
            user: {
                id: string | null;
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: import("../../surfaces.js").Surfaces;
        };
    }, {
        context: {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            };
            theme: "light" | "dark";
            user?: {
                id?: string | null | undefined;
            } | undefined;
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
            projectId?: string | null | undefined;
            siteId?: string | null | undefined;
            teamId?: string | null | undefined;
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: import("../../surfaces.js").Surfaces;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    data: {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            };
            user: {
                id: string | null;
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: import("../../surfaces.js").Surfaces;
        };
    };
    type: "NF::EUI_HOST::INITIALIZE";
}, {
    data: {
        context: {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            };
            theme: "light" | "dark";
            user?: {
                id?: string | null | undefined;
            } | undefined;
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
            projectId?: string | null | undefined;
            siteId?: string | null | undefined;
            teamId?: string | null | undefined;
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: import("../../surfaces.js").Surfaces;
        };
    };
    type: "NF::EUI_HOST::INITIALIZE";
}>, z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_HOST::REQUEST_DIMENSIONS">;
    data: z.ZodDefault<z.ZodOptional<z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>>>;
}, "strip", z.ZodTypeAny, {
    data: {};
    type: "NF::EUI_HOST::REQUEST_DIMENSIONS";
}, {
    type: "NF::EUI_HOST::REQUEST_DIMENSIONS";
    data?: {} | undefined;
}>, z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_HOST::UPDATE_CONTEXT">;
    data: z.ZodObject<{
        context: z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
                providerToken: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
                providerTokens: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    externalId: z.ZodString;
                    token: z.ZodString;
                    connectionId: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }, {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }>, "many">>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            }, {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            }>;
            user: z.ZodDefault<z.ZodObject<{
                id: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
            }, "strip", z.ZodTypeAny, {
                id: string | null;
            }, {
                id?: string | null | undefined;
            }>>;
            configurationId: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
            dataLayerId: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
            projectId: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
            siteId: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
            teamId: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
            theme: z.ZodEnum<["light", "dark"]>;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            };
            user: {
                id: string | null;
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        }, {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            };
            theme: "light" | "dark";
            user?: {
                id?: string | null | undefined;
            } | undefined;
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
            projectId?: string | null | undefined;
            siteId?: string | null | undefined;
            teamId?: string | null | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            };
            user: {
                id: string | null;
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
    }, {
        context: {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            };
            theme: "light" | "dark";
            user?: {
                id?: string | null | undefined;
            } | undefined;
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
            projectId?: string | null | undefined;
            siteId?: string | null | undefined;
            teamId?: string | null | undefined;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    data: {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            };
            user: {
                id: string | null;
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
    };
    type: "NF::EUI_HOST::UPDATE_CONTEXT";
}, {
    data: {
        context: {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            };
            theme: "light" | "dark";
            user?: {
                id?: string | null | undefined;
            } | undefined;
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
            projectId?: string | null | undefined;
            siteId?: string | null | undefined;
            teamId?: string | null | undefined;
        };
    };
    type: "NF::EUI_HOST::UPDATE_CONTEXT";
}>]>;
export type UIExtensionHostEvent = z.output<typeof UIExtensionHostEventSchema>;
export type UIExtensionHostEventType = UIExtensionHostEvent["type"];
//# sourceMappingURL=main.d.ts.map