import { z } from "zod";
import { UIExtensionHostEventSchema } from "./host/main.js";
import { UIExtensionSurfaceEventSchema } from "./surface/main.js";
export * from "./host/main.js";
export * from "./surface/main.js";
/**
 * `UIExtensionEventSchema` is a combined schema that can parse any type of event (both host and
 * surface).
 *
 * In general, you probably don't want to use this--you're likely looking for either
 * `UIExtensionHostEventSchema` or `UIExtensionSurfaceEventSchema`. This can be useful, however, in
 * environments where the "host" and surface run in the same process (e.g. tests, Storybook).
 */
export const UIExtensionEventSchema = z.union([
    UIExtensionHostEventSchema,
    UIExtensionSurfaceEventSchema,
]);
//# sourceMappingURL=main.js.map