/**
 * Surfaces is an enum containing the unique names of each surface (location in the Netlify UI) that a
 * UI extension can render to.
 *
 * The SDK exposes which surface your extension UI app is currently rendering to, so you can use this enum for
 * routing and display the correct UI for a given surface to a user.
 */
export declare enum Surfaces {
    TeamConfiguration = "extension-team-configuration",
    ConnectConfiguration = "extension-connect-configuration",
    SiteAccessConfiguration = "extension-site-access-configuration",
    SiteBuildDeployConfiguration = "extension-site-build-and-deploy-configuration",
    SiteGeneralConfiguration = "extension-site-general-configuration",
    SiteNotificationsConfiguration = "extension-site-notifications-configuration",
    SiteConfiguration = "extension-top-level-site-configuration",
    VisualEditorConfiguration = "extension-visual-editor-configuration"
}
//# sourceMappingURL=surfaces.d.ts.map